{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'updated' %}
        <div class="alert alert-success" role="alert">
            The book was updated successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while updating the book, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-warning" role="alert">
            {{ message }}
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Book</h5>
        <div class="card-body">
            <h5 class="card-title">Update a book from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'update_book' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for book in books %}
                        {% if forloop.first %}
                            <label for="inputBook_id" class="form-label">Book id</label>
                            <select id="inputBook_id" name="inputBook_id" class="form-select mb-3">
                            <option value="{{ book.id }}" selected>{{ book.title }} - {{ book.editorial.name }}</option>
                        {% else %}
                            <option value="{{ book.id }}">{{ book.title }} - {{ book.editorial.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no books to Update</h1>
                    {% endfor %}
                    </select>
                    {% if books %}
                        <div class="mb-3">
                            <label for="inputTitle" class="form-label">Book title</label>
                            <input type="text" class="form-control" name="inputTitle" id="inputTitle" aria-describedby="emailHelp" required>
                            <div id="nameHelp" class="form-text">This is the title of the new book.</div>
                        </div>

                        <div class="mb-3">
                            <label for="inputSynopsis" class="form-label">synopsis</label>
                            <textarea class="form-control" name="inputSynopsis" id="inputSynopsis" rows="3"></textarea>
                            <div id="synopsisHelp" class="form-text">This is the synopsis of the new book.</div>
                        </div>
                    
                        <label for="inputCategory" class="form-label">Category</label>
                        <select id="inputCategory" name="inputCategory" class="form-select mb-3" required>
                            {% for category in categories %}
                                {% if forloop.first %}
                                <option selected>{{ category }}</option>
                                {% else %}
                                    <option>{{ category }}</option>
                                {% endif %}
                            {% endfor %}
                        </select>
                        
                        <div class="mb-3">
                            <label for="inputAuthor" class="form-label">Author</label>
                            <input type="text" class="form-control" name="inputAuthor" id="inputAuthor" required>
                            <div id="authorHelp" class="form-text">note: If the author does not exist, it will be updated</div>
                        </div>
                        
                        <label for="inputEditorial" class="form-label">Editorial</label>
                        <select id="inputEditorial" name="inputEditorial" class="form-select mb-3" required>
                            {% for editorial in editorials %}
                                {% if forloop.first %}
                                <option selected>{{ editorial.name }}</option>
                                {% else %}
                                    <option>{{ editorial.name }}</option>
                                {% endif %}
                            {% endfor %}
                        </select>
                    {% endif %}
                </div>
                {% if books %}
                    <button type="submit" class="btn btn-warning">Update</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_books' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
